Last Comment Bug 321526 - Duplicated content in using_priv_help.xhtml
: Duplicated content in using_priv_help.xhtml
Status: RESOLVED FIXED
: fixed-seamonkey1.0, fixed-seamonkey1.1a, fixed1.8.0.1, fixed1.8.1, late-l10n
Product: SeaMonkey
Classification: Client Software
Component: Help Documentation (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Giacomo Magnini
: Daniel Wang
:
Mentors:
Depends on: 230355
Blocks: 323357
  Show dependency treegraph
 
Reported: 2005-12-26 02:43 PST by u60234
Modified: 2006-01-26 15:44 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Something like this? (Checked in trunk & branches 1.8 & 1.8.0) (3.37 KB, patch)
2006-01-04 02:55 PST, Giacomo Magnini
iann_bugzilla: review+
kairo: approval‑seamonkey1.0+
kairo: approval‑seamonkey1.1a+
Details | Diff | Splinter Review

Description u60234 2005-12-26 02:43:23 PST
After bug 230355, there is some duplicated content in Cookie Manager help. The patch added lines http://lxr.mozilla.org/mozilla1.8/source/extensions/help/resources/locale/en-US/using_priv_help.xhtml#104 through 107:
>  <li><strong>Use my choice for all cookies from this site</strong>:
>    If you check this option, you will not be warned the next time
>    that site tries to set or modify a cookie, and your <q>allow</q> or
>    <q>deny</q> response will still be in effect.</li>

but forgot to remove lines 117-119:
> <p>If you select <q>Remember this decision</q>, you will not be warned the
>   next time that site tries to set or modify a cookie, and your <q>Yes</q>
>   or <q>No</q> response will still be in effect.</p>

Likewise with lines 113-115:
> <p>If you want to change a remembered response later, use the Cookie Manager
> to edit <a href="#stored_cookies">stored cookies</a> and
> <a href="#cookie_sites">add or remove cookie sites</a>.</p>

and 121-122:
> <p>If you want to change a remembered response later, use Cookie Manager to
>   edit your list of automatically stored cookies.</p>

There is also one oddity on http://lxr.mozilla.org/mozilla1.8/source/extensions/help/resources/locale/en-US/using_priv_help.xhtml#328 
>  <li><strong>Accept cookies normally:</strong> Select this
>    if you want Cookie Manager to disable cookies received when a message
>    contains a web page.</li>

I doubt that that explanation is the correct one for the "Accept cookies normally:" pref. It looks like it belong to the old "Disable cookies in Mail &amp; Newsgroups" pref.
Comment 1 Stefan [:stefanh] 2005-12-26 05:04:44 PST
Giacomo, do you have the time to take a look?
Comment 2 Giacomo Magnini 2006-01-03 15:01:59 PST
(In reply to comment #1)
> Giacomo, do you have the time to take a look?

Now that I'm back home, will do.
Comment 3 Giacomo Magnini 2006-01-04 02:55:03 PST
Created attachment 207482 [details] [diff] [review]
Something like this? (Checked in trunk & branches 1.8 & 1.8.0)
Comment 4 Ian Neal 2006-01-04 06:06:41 PST
Comment on attachment 207482 [details] [diff] [review]
Something like this? (Checked in trunk & branches 1.8 & 1.8.0)

Looking good to me
Comment 5 Giacomo Magnini 2006-01-04 06:36:05 PST
Want this on the branch(es) too? Will need a's and late-l10n keyword I guess...
Please remember that with this patch translators will have to do *less* work actually... ;)
Comment 6 Stefan [:stefanh] 2006-01-04 10:44:06 PST
Comment on attachment 207482 [details] [diff] [review]
Something like this? (Checked in trunk & branches 1.8 & 1.8.0)

Well, I do think it definately should go into the 1.8 branch. I wouldn't mind having it in 1.8.0 branch, though.

If it goes in to the 1.8.0 branch, I think it should be announced in mozilla-l10n by the patch  author... ;)
Comment 7 Stefan [:stefanh] 2006-01-13 07:02:35 PST
Ok, so the issue exists on trunk as well.
Comment 8 Ian Neal 2006-01-13 16:38:49 PST
Comment on attachment 207482 [details] [diff] [review]
Something like this? (Checked in trunk & branches 1.8 & 1.8.0)

Checking in (trunk)
using_priv_help.xhtml;
new revision: 1.59; previous revision: 1.58
done
Checking in (branch 1.8)
using_priv_help.xhtml;
new revision: 1.56.6.3; previous revision: 1.56.6.2
done
Comment 9 Ian Neal 2006-01-20 15:24:32 PST
Has this been announced in mozilla-l10n so it can be checked in to 1.8.0 branch?
Comment 10 Stefan [:stefanh] 2006-01-20 15:46:12 PST
(In reply to comment #9)
> Has this been announced in mozilla-l10n so it can be checked in to 1.8.0
> branch?
>

Yes, see http://groups.google.com/group/netscape.public.mozilla.l10n/msg/d167b8f345b43d80

Comment 11 Ian Neal 2006-01-20 15:58:55 PST
Comment on attachment 207482 [details] [diff] [review]
Something like this? (Checked in trunk & branches 1.8 & 1.8.0)

Checking in (branch 1.8.0)
using_priv_help.xhtml;
new revision: 1.56.14.4; previous revision: 1.56.14.3
done

Note You need to log in before you can comment on or make changes to this bug.